Bug 1007544 - Default Address Selection for DNS-requests
Default Address Selection for DNS-requests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 14:00 EDT by Florian "der-flo" Lehner
Modified: 2014-02-05 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:22:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian "der-flo" Lehner 2013-09-12 14:00:10 EDT
Description of problem:
In a dual stack environment NetworkManager writes the the IPv4-address of the DNS-server in the top of /etc/resolv.conf

Example:
$ cat /etc/resolv.conf 
# Generated by NetworkManager
nameserver 10.0.10.1
nameserver fd6b:6a04:7cd5::1

If you are requesting an IP for something the first nameserver in /etc/resolv.conf is chosen to send the request to.

Version-Release number of selected component (if applicable):

$ NetworkManager --version
0.9.8.2-1.fc18
$ uname -r
3.10.10-100.fc18.x86_64

How reproducible:

Steps to Reproduce:
1. Connect your device to a dual stack environment, where dns is served via IPv6 and additional via IPv4
2. Request an IP for something

Actual results:
The IPv4-DNS server is chosen to send the request to.

Expected results:
The IPv6-DNS server is chosen to send the request to.
Comment 1 Fedora End Of Life 2013-12-21 09:34:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:22:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.